org.eclipse.microprofile.opentracing.tck.application

## Class TestAnnotatedClassWithOperationName

- java.lang.Object
- - org.eclipse.microprofile.opentracing.tck.application.TestAnnotatedClassWithOperationName

    @ApplicationScoped
     @Traced(operationName="operationPrefix")
    public class TestAnnotatedClassWithOperationName
    extends Object

Injectable class with the Traced annotation and operation name.

### Field Summary

Fields
`static String` `OPERATION_NAME` Operation name for this class.

### Constructor Summary

Constructors
Constructor and Description
`TestAnnotatedClassWithOperationName()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `annotatedClassMethodExplicitlyTraced()` Method that we expect to be Traced explicitly.
`void` `annotatedClassMethodImplicitlyTraced()` Method that we expect to be Traced implicitly.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OPERATION_NAME

    public static final String OPERATION_NAME

Operation name for this class.

See Also:
  Constant Field Values

### Constructor Detail

#### TestAnnotatedClassWithOperationName

    public TestAnnotatedClassWithOperationName()

### Method Detail

#### annotatedClassMethodImplicitlyTraced

    public void annotatedClassMethodImplicitlyTraced()

Method that we expect to be Traced implicitly.

#### annotatedClassMethodExplicitlyTraced

    @Traced(operationName="explicitOperationName4")
    public void annotatedClassMethodExplicitlyTraced()

Method that we expect to be Traced explicitly.